package com.njcn.process.service;

import com.njcn.process.pojo.param.SendParam;

import java.io.IOException;
import java.util.List;

/**
 * pqs
 *
 * @author cdf
 * @date 2023/6/28
 */
public interface SupvPushGwService {

    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushPlan(List<String> planIds);

    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushQuestion(List<String> problemIds,Integer type);


    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushFile(List<String> busIds) throws IOException;


    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushMonthReportStatistic(List<String> monthReportId);


    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String deletePlan(List<String> planIds);

    /**
     * @Description:
     * @param ids
     * @return: java.lang.String
     * @Author: wr
     * @Date: 2023/9/5 10:25
     */
    String pushPlanHis(List<String> ids);

    /**
     * @Description: 
     * @param ids 
     * @return: java.lang.String
     * @Author: wr
     * @Date: 2023/9/5 10:27
     */
    String pushAlarm(List<String> ids);
    /**
     * @Description: 
     * @param ids 
     * @return: java.lang.String
     * @Author: wr
     * @Date: 2023/9/5 10:35
     */
    String pushAlarmHis(List<String> ids);

    /**
     * 总部技术监督工作计划数据回退接口
     * @param param
     * @return
     */
    String reject(SendParam.Extend param);
}
